## EDU.oswego.cs.dl.util.concurrent
Class PooledExecutor.Worker

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.PooledExecutor.Worker

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  PooledExecutor

    protected class PooledExecutor.Worker

extends java.lang.Object
implements java.lang.Runnable

Class defining the basic run loop for pooled threads.

Field Summary
`protected java.lang.Runnable` `firstTask_`

Constructor Summary
`protected` `PooledExecutor.Worker(java.lang.Runnable firstTask)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstTask_

    protected java.lang.Runnable firstTask_

Constructor Detail

### PooledExecutor.Worker

    protected PooledExecutor.Worker(java.lang.Runnable firstTask)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`